#include<linux/init.h>
#include<linux/fs.h>
#include<linux/module.h>
#define DEBUG

static struct file_system_type ngfs ={
				name : "ngfs",
				owner : THIS_MODULE
};

static int ngfs_init(){
				int err=0;
#ifdef DEBUG
				printk(KERN_INFO "Registering Filesystem : \"ngfs\"\n");
#endif
				err=register_filesystem(&ngfs); 
				return err;
}

static void ngfs_exit(){
				int err;
#ifdef DEBUG
				printk(KERN_INFO "Unloading filesystem type : \"ngfs\"\n");
#endif
				if((err=unregister_filesystem(&ngfs))!=0) 
				  printk(KERN_INFO "Error Unloading filesystem ngfs : %d\n",err);
}

module_init(ngfs_init);
module_exit(ngfs_exit);

